Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ Bug Reports
Author Message
Snape
New Member
New Member


Joined: Mar 17, 2006
Posts: 2

PostPosted: Fri Mar 17, 2006 4:52 am Reply with quote

Hi,

I've been having several problems with hackers of late so have tried to install a few security mods to prevent further attacks. Initially I installed AdminSecure and everything was fine for a few months, but a few days back I was hacked again (hacker makes himself SuperAdmin and removes all other admin accounts) so decided to throw Fortress and Sentinel on there for further protection.

Fortress went on fine, but I'm having some problems with Sentinel which is the one I really want to use for protecting my site. Everything installed fine and I can access the Sentinel admin panel but on my front page all my topic images have changed to red x's with the image for each being 'www.mysite.com/topics' (they were fine before). Now this is where it gets weird. The problem seems to be with my mainfile.php file, at the top of the code I have the Fortress code, then the AdminSecure code and then if I use the Sentinel code anywhere after those two the module works fine but the topic images don't work. If I put the Sentinel code before the AdminSecure or before the Fortress code the topic images work but then Sentinel doesn't work.

Any help with this would be greatly appreciated, let me know if I need to post my mainfile.php code or anything. I'm using phpnuke 6.9.

Thanks!
 
View user's profile Send private message
hitwalker
Sells PC To Pay For Divorce


Joined:
Posts: 5661

PostPosted: Fri Mar 17, 2006 5:41 am Reply with quote

admin secure,fortress,sentinel....
nice..
ever thought of upgrading or installing a higher phpnuke version?
 
View user's profile Send private message
Snape
PostPosted: Fri Mar 17, 2006 6:12 am Reply with quote

Yeah, I want to but I have so many custom mods on my site/forums that I'm worried I'll have to recode each one after updating. If the phpnuke upgrades include security fixes for my problem (which I believe is SQL injections) then I'd do it, but if I can get Sentinel working correctly would I need to?
 
hitwalker
PostPosted: Fri Mar 17, 2006 6:54 am Reply with quote

well basically it comes to this,when your running behind on upgrades,patches etc...your site can or will be vunerable.
But in your situation its even more bad cause your mods are likely to quit working after any updates patches whatever,or atleast there will be conflicts.
Another thing is that your site is a mixedup pile of several scripts that deal with security.
Personaly if it was me i wouldnt touch it anymore cause the situation isnt gonna get better but worse.

An nice alternative would be to install a new version,then build it up again...
I know you dont wanna hear this but its better... Smile
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ Bug Reports

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©